<!DOCTYPE html>
<html lang="{{ site.LanguageCode | default "en" }}" {{- with partialCached "func/GetLanguageDirection" "GetLanguageDirection" }} dir="{{ . }}" {{- end }}>
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    {{/* NOTE: the Site's title, and if there is a page title, that is set too */}}
    <title>{{ block "title" . }}{{ with .Params.Title }}{{ . }} | {{ end }}{{ .Site.Title }}{{ end }}</title>
    <meta name="viewport" content="width=device-width,minimum-scale=1">
    <meta name="description" content="{{ with .Description }}{{ . }}{{ else }}{{if .IsPage}}{{ .Summary }}{{ else }}{{ with .Site.Params.description }}{{ . }}{{ end }}{{ end }}{{ end }}">
    {{ hugo.Generator }}
    {{ $production := eq (getenv "HUGO_ENV") "production" | or (eq site.Params.env "production") }}
    {{ $public := not .Params.private }}
    {{ if and $production $public }}
      <meta name="robots" content="index, follow">
    {{ else }}
      <meta name="robots" content="noindex, nofollow">
    {{ end }}

    {{ partial "site-style.html" . }}
    {{ partial "site-scripts.html" . }}
    
    {{ block "favicon" . }}
      {{ partialCached "site-favicon.html" . }}
    {{ end }}

    {{ if .OutputFormats.Get "RSS" }}
    {{ with .OutputFormats.Get "RSS" }}
      <link href="{{ .RelPermalink }}" rel="alternate" type="application/rss+xml" title="{{ $.Site.Title }}" />
      <link href="{{ .RelPermalink }}" rel="feed" type="application/rss+xml" title="{{ $.Site.Title }}" />
      {{ end }}
    {{ end }}
    
	{{ block "head" . }}{{ partial "head-additions.html" . }}{{ end }}
  </head>

  <body class="ma0 {{ $.Param "body_classes"  | default "avenir bg-near-white"}}{{ with getenv "HUGO_ENV" }} {{ . }}{{ end }}">

    {{ block "header" . }}
        {{ $featured_image := "/images/default.jpg" }}
        <header class="cover bg-bottom" style="background-image: url('{{ $featured_image }}'); height:800px;">
          <div class="{{ .Site.Params.cover_dimming_class | default "bg-black-30" }}" style="height:800px">
            {{ partial "site-navigation.html" .}}
            <div class="tc-l pv4 pv6-l ph3 ph4-ns">
              <h1 class="f2 f-subheadline-l fw2 white-90 mb0 lh-title" style="font-size:7vw">
          		/404
              </h1>
              {{ with .Params.description }}
                <h2 class="fw1 f5 f3-l white-80 measure-wide-l center mt3">
                  {{ . }}
                </h2>
              {{ end }}
            </div>
          </div>
        </header>
    {{ end }}
    <main class="pb7" role="main">
      {{ block "main" . }}{{ end }}
      <article class="cf ph3 ph5-l pv3 pv4-l f4 tc-l center measure-wide lh-copy mid-gray">
          <h1 id="heading">/404</h1>
          <p>Sometimes you get lost. And that's okay.</p>
          <p>In fact, we've been expecting you! You've stumbled upon our secret hide-and-seek championship.</p>
          <p>Congratulations!</p>
          <p>
            Unfortunately, the page you were searching for is playing hide-and-seek too, and it's exceptionally good at it. 
            We suggest you grab a cup of coffee, take a deep breath, and try again. 
            Who knows, maybe you'll find it hiding behind that clever thought you had in the shower last week.
          </p>
          <p>Happy hunting!</p>
      </article>
    </main>
    {{ block "footer" . }}{{ partialCached "site-footer.html" . }}{{ end }}
  </body>
</html>
